Skip to main content

AWS Cloud Connectivity - Credentials - Replace (PUT)

This page documents the Replace (PUT) operation in the AWS Cloud Connectivity API. Use a valid JWT bearer token.

PUT https://ope-obs.apibackbone.orange.com/evolutionplatform/aws/api/v1/projects/{projectId}/aws/credentials/{id}
Authorization: Bearer YOUR_ACCESS_TOKEN

Parameters​

ParameterInRequiredType / default
idpathYesstring uuid
projectIdpathYesstring uuid

Request body​

JSON fieldRequiredType / notes
nameYesstring: aws credentials name
descriptionNostring: aws credentials description
apiKeyYesstring: apiKey on aws
secretKeyYesstring: secretKey on aws
expirationDateNostring date: expiration date of the aws credentials

Response​

Successful response: 200. ok Response schema: object.